#include <iostream>

using namespace std;

int main()
{
   int n;
   int k;
   int brojac=0;
   int pamti_i;
   int broj1;
   int broj2;
   cin>>n;
   int a[n];
   int b[n];
   for(int i=0;i<n;i++)
   {
       cin>>a[i];
   }
    if(n==2)
    {
        cout<<a[1]<<" "<<a[0];
        return 0;
    }
    for(int i=0;i<n;i++)
    {
        b[i]=a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[j]>a[i])
            {
                k=a[i];
                a[i]=a[j];
                a[j]=k;
            }
        }
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]==b[i])
        {
            brojac++;
        }
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]!=b[i])
        {
            pamti_i=i;
            broj1=a[i];
            broj2=b[i];
            break;
        }
    }
    for(int i=n;i>0;i--)
    {
        if(b[i]==broj1)
        {
            b[pamti_i]=broj1;
            b[i]=broj2;
            break;
        }
    }
    for(int i=0;i<n;i++)
   {
       cout<<b[i]<<" ";
   }
}